{
  "name": "peertube-plugin-index",
  "description": "",
  "version": "0.0.1",
  "private": true,
  "licence": "GPLv3",
  "type": "module",
  "engines": {
    "node": ">=18.x"
  },
  "author": {
    "name": "Florian Bigard",
    "email": "chocobozzz@framasoft.org",
    "url": "http://github.com/Chocobozzz"
  },
  "scripts": {
    "tsc": "tsc",
    "lint": "eslint --ext .ts \"server/**/*.ts\"",
    "build": "tsc",
    "start": "node dist/server.js"
  },
  "dependencies": {
    "async": "^3.1.0",
    "axios": "^1.6.2",
    "bluebird": "^3.5.3",
    "body-parser": "^1.12.4",
    "config": "^3.0.1",
    "cors": "^2.8.5",
    "express": "^4.16.4",
    "express-rate-limit": "^7.1.5",
    "express-validator": "^7.0.1",
    "js-yaml": "^4.1.0",
    "mkdirp": "^3.0.1",
    "morgan": "^1.9.1",
    "multer": "1.4.5-lts.1",
    "pg": "^8.2.1",
    "pino": "^8.16.2",
    "pino-pretty": "^10.2.3",
    "reflect-metadata": "^0.1.13",
    "retry": "^0.13.1",
    "sequelize": "6.33.0",
    "sequelize-typescript": "^2.1.1",
    "source-map-support": "^0.5.10",
    "validator": "^13.6.0"
  },
  "devDependencies": {
    "@peertube/peertube-types": "^6.0.2",
    "@types/async": "^3.0.0",
    "@types/body-parser": "^1.16.3",
    "@types/config": "^3.3.3",
    "@types/express": "^4.16.1",
    "@types/mkdirp": "^2.0.0",
    "@types/morgan": "^1.7.32",
    "@types/multer": "^1.3.3",
    "@types/node": "^20.10.4",
    "@types/validator": "^13.0.0",
    "@typescript-eslint/eslint-plugin": "^6.14.0",
    "@typescript-eslint/parser": "^6.14.0",
    "eslint": "^8.10.0",
    "eslint-config-standard-with-typescript": "^42.0.0",
    "eslint-plugin-import": "^2.25.4",
    "eslint-plugin-n": "^16.4.0",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^6.0.0",
    "eslint-plugin-standard": "^5.0.0",
    "typescript": "^5.3.3"
  }
}
